# Generated by Django 3.2.8 on 2021-10-13 16:09

from django.db import migrations, models
import django.db.models.deletion
import sortedm2m.fields
import video_encoding.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('photologue', '0011_auto_20190223_2138'),
    ]

    operations = [
        migrations.CreateModel(
            name='Video',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('width', models.PositiveIntegerField(editable=False, null=True)),
                ('height', models.PositiveIntegerField(editable=False, null=True)),
                ('duration', models.FloatField(editable=False, null=True)),
                ('file', video_encoding.fields.VideoField(height_field='height', upload_to='', width_field='width')),
                ('title', models.CharField(max_length=250)),
                ('is_public', models.BooleanField(default=True)),
                ('slug', models.SlugField(help_text='A "slug" is a unique URL-friendly title for an object.', max_length=250, unique=True)),
            ],
        ),
        migrations.CreateModel(
            name='MediaGallery',
            fields=[
                ('gallery_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='photologue.gallery')),
                ('videos', sortedm2m.fields.SortedManyToManyField(blank=True, help_text=None, related_name='galleries', to='medialogue.Video', verbose_name='videos')),
            ],
            bases=('photologue.gallery',),
        ),
    ]
